<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <android.support.v7.widget.CardView
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginBottom="8dp"
        android:layout_marginEnd="8dp"
        android:layout_marginStart="8dp"
        android:layout_marginTop="8dp"
        app:cardCornerRadius="5dp"
        app:cardUseCompatPadding="true"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="horizontal"
            android:padding="16dp">

            <de.hdodenhof.circleimageview.CircleImageView
                android:id="@+id/messengerImageViewLeft"
                android:layout_width="70dp"
                android:layout_weight="1"
                android:src="@drawable/profile_img"
                android:layout_height="70dp" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="5"
                android:orientation="vertical"
                android:padding="8dp">

                <TextView
                    android:id="@+id/messengerMessage"
                    android:layout_width="wrap_content"
                    android:textStyle="bold"
                    android:layout_height="wrap_content"
                    android:text="Message" />

                <TextView
                    android:id="@+id/messengerSender"
                    android:textStyle="italic"
                    android:layout_marginTop="8dp"
                    android:padding="4dp"
                    android:textSize="12sp"
                    android:background="@drawable/rounded_corner2"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Sender" />
            </LinearLayout>
            <de.hdodenhof.circleimageview.CircleImageView
                android:id="@+id/messengerImageViewRight"
                android:layout_weight="1"
                android:layout_width="70dp"
                android:src="@drawable/profile_img"
                android:layout_height="70dp" />
        </LinearLayout>
    </android.support.v7.widget.CardView>
</android.support.constraint.ConstraintLayout>